%define nm_version 0.9.8
%define pptp 1
%define openswan 0
%define openvn 1
%define vpnc 1
%define openconnect 1
%define l2tp 0
%define strongswan 0
%define rel 1.1


Name:    plasma-nm
Summary: Plasma applet written in QML for managing network connections
Version: 0.9.3.2
Release: %mkrel %{rel}
Group:   Graphical desktop/KDE
License: GPLv2 and LGPLv2+
URL:     https://projects.kde.org/projects/playground/network/plasma-nm
Source0: http://download.kde.org/unstable/plasma-nm/%{name}-%{version}.tar.xz

# security fix for bko#341069, mga#14812
# plasma-nm created OpenVPN connections vulnerable to MITM attack
# https://bugs.kde.org/show_bug.cgi?id=341069
# http://lwn.net/Vulnerabilities/626419
# upstream patches from branch 0.9.3
Patch1: plasma-nm-0.9.3-OpenVPN-Add-option-for-server-certificate-verificati.patch
Patch2: plasma-nm-0.9.3-fix-layout-and-tab-stops.patch


BuildRequires: kdebase4-workspace-devel
BuildRequires: pkgconfig(libnm-glib) >= %nm_version
BuildRequires: pkgconfig(NetworkManagerQt) >= 0.9.0
BuildRequires: pkgconfig(ModemManager)

%if %openconnect
BuildRequires:  openconnect-devel >= 3.99
%endif



%description
Plasma applet written in QML for managing network connections

#--------------------------------------------------------------------

%package -n plasma-applet-nm
Summary:  NetworkManager plasma applet
Group:    Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: networkmanager >= %nm_version
Conflicts: knetworkmanager-common < 1:0.9.3
Obsoletes: knetworkmanager-common < 1:0.9.3
Obsoletes: knetworkmanager < 1:0.9.3
Conflicts: plasma-applet-networkmanagement < 1:0.9.3
Obsoletes: plasma-applet-networkmanagement < 1:0.9.3

%description -n plasma-applet-nm
Network Management Plasma applet for controlling network
connections on systems that use the NetworkManager service


%files  -n plasma-applet-nm  -f plasma-applet-nm.lang 
%{_kde_applicationsdir}/kde-nm-connection-editor.desktop
%{_kde_appsdir}/desktoptheme/default/icons/plasma-networkmanagement.svgz
%{_kde_appsdir}/kde-nm-connection-editor/kde-nm-connection-editorui.rc
%{_kde_appsdir}/networkmanagement/networkmanagement.notifyrc
%{_kde_appsdir}/plasma/plasmoids/org.kde.networkmanagement/
%{_kde_bindir}/kde-nm-connection-editor
%{_kde_iconsdir}/oxygen/32x32/devices/network-defaultroute.png
%{_kde_libdir}/kde4/imports/org/kde/networkmanagement/
%{_kde_libdir}/kde4/kded_networkmanagement.so
%{_kde_libdir}/kde4/networkmanagement_notifications.so
%{_kde_libdir}/kde4/plugins/designer/plasmanetworkmanagementwidgets.so
%{_kde_libdir}/libplasmanetworkmanagement-editor.so
%{_kde_libdir}/libplasmanetworkmanagement-internal.so
%{_kde_services}/kded/networkmanagement.desktop
%{_kde_services}/networkmanagement_notifications.desktop
%{_kde_services}/plasma-applet-networkmanagement.desktop
%{_kde_servicetypes}/plasma-networkmanagement-vpnuiplugin.desktop

#--------------------------------------------------------------------

%if %{openvn}

%package  -n plasma-applet-nm-openvpn
Summary:  OpenVPN support for knetworkmanager
Group:    Graphical desktop/KDE 
Requires: networkmanager-openvpn
Obsoletes: knetworkmanager-openvpn < 1:0.9.3
Obsoletes: networkmanagement-plugins-openvpn < 1:0.9.3
Obsoletes: plasma-nm-plugins-openvpn < 0.9.3.1

%description -n plasma-applet-nm-openvpn
%{summary}.

%files  -n plasma-applet-nm-openvpn -f plasmanetworkmanagement_openvpnui.lang 
%{_kde_libdir}/kde4/plasmanetworkmanagement_openvpnui.so
%{_kde_services}/plasmanetworkmanagement_openvpnui.desktop

%endif

#--------------------------------------------------------------------

%if %{l2tp}

%package  -n plasma-applet-nm-l2tp
Summary:  L2tp  support for knetworkmanager
Group:    Graphical desktop/KDE
Requires: networkmanager-l2tp

%description -n plasma-applet-nm-l2tp
%{summary}.

%files  -n plasma-applet-nm-l2tp -f plasmanetworkmanagement_l2tpui.lang
%{_kde_libdir}/kde4/plasmanetworkmanagement_l2tpui.so
%{_kde_services}/plasmanetworkmanagement_l2tpui.desktop

%endif

#--------------------------------------------------------------------

%if %{pptp}

%package  -n plasma-applet-nm-pptp
Summary:  Pptp support for knetworkmanager
Group:    Graphical desktop/KDE
Requires: networkmanager-pptp 
Obsoletes: knetworkmanager-pptp < 1:0.9.3
Obsoletes: networkmanagement-plugins-pptp < 1:0.9.3
Obsoletes: plasma-nm-plugins-pptp < 0.9.3.1

%description  -n plasma-applet-nm-pptp
%{summary}.

%files  -n plasma-applet-nm-pptp -f plasmanetworkmanagement_pptpui.lang 
%{_kde_libdir}/kde4/plasmanetworkmanagement_pptpui.so
%{_kde_services}/plasmanetworkmanagement_pptpui.desktop

%endif

#--------------------------------------------------------------------

%if %{openswan}

%package -n plasma-applet-nm-openswan
Summary: OpenSwan support for knetworkmanager
Group:  Graphical desktop/KDE
Requires: networkmanager-openswan

%description -n plasma-applet-nm-openswan
%{summary}.

%files  -n plasma-applet-nm-openswan -f plasmanetworkmanagement_openswanui.lang 
%{_kde_libdir}/kde4/plasmanetworkmanagement_openswanui.so
%{_kde_services}/plasmanetworkmanagement_openswanui.desktop

%endif


#--------------------------------------------------------------------

%if %{strongswan}

%package -n plasma-applet-nm-strongswan
Summary: Strongswanui support for knetworkmanager
Group:  Graphical desktop/KDE
Requires: networkmanager-strongswan

%description -n plasma-applet-nm-strongswan
%{summary}.

%files  -n plasma-applet-nm-strongswan -f plasmanetworkmanagement_strongswanui.lang 
%{_kde_libdir}/kde4/plasmanetworkmanagement_strongswanui.so
%{_kde_services}/plasmanetworkmanagement_strongswanui.desktop

%endif

#--------------------------------------------------------------------
%if %{vpnc}

%package  -n plasma-applet-nm-vpnc
Summary:  Vpnc support for knetworkmanager
Group:    Graphical desktop/KDE 
Requires: networkmanager-vpnc
Obsoletes: knetworkmanager-vpnc < 1:0.9.3
Obsoletes: networkmanagement-plugins-vpnc < 1:0.9.3
Obsoletes: plasma-nm-plugins-vpnc < 0.9.3.1

%description -n plasma-applet-nm-vpnc
%{summary}.

%files  -n plasma-applet-nm-vpnc -f plasmanetworkmanagement_vpncui.lang 
%{_kde_libdir}/kde4/plasmanetworkmanagement_vpncui.so
%{_kde_services}/plasmanetworkmanagement_vpncui.desktop

%endif

#-------------------------------------------------------------------
%if %{openconnect}
%package -n plasma-applet-nm-openconnect
Summary:  Openconnect support for %name
Group:    Graphical desktop/KDE
Requires: networkmanager-openconnect
Obsoletes: knetworkmanager-openconnect < 1:0.9.3
Obsoletes: networkmanagement-plugins-openconnect < 1:0.9.3
Obsoletes: plasma-nm-plugins-openconnect < 0.9.3.1

%description -n plasma-applet-nm-openconnect
Openconnect plugin for %name

%files -n plasma-applet-nm-openconnect -f plasmanetworkmanagement_openconnectui.lang
%{_kde_libdir}/kde4/plasmanetworkmanagement_openconnectui.so
%{_kde_services}/plasmanetworkmanagement_openconnectui.desktop

%endif
#--------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 
%make

%install
%makeinstall_std -C build

%if ! %{l2tp}
rm %{buildroot}%{_kde_libdir}/kde4/plasmanetworkmanagement_l2tpui.so
rm %{buildroot}%{_kde_services}/plasmanetworkmanagement_l2tpui.desktop
rm %{buildroot}%{_kde_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_l2tpui.mo
%endif

%if ! %{openswan}
rm %{buildroot}%{_kde_libdir}/kde4/plasmanetworkmanagement_openswanui.so
rm %{buildroot}%{_kde_services}/plasmanetworkmanagement_openswanui.desktop
rm %{buildroot}%{_kde_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_openswanui.mo
%endif

%if ! %{strongswan}
rm %{buildroot}%{_kde_libdir}/kde4/plasmanetworkmanagement_strongswanui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/plasmanetworkmanagement_strongswanui.desktop
rm %{buildroot}%{_kde_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_strongswanui.mo
%endif

%find_lang  plasma-applet-nm plasma_applet_org.kde.networkmanagement kcm_network kde-nm-connection-editor libplasmanetworkmanagement-editor plasmanetworkmanagement-kded
%find_lang  plasmanetworkmanagement_l2tpui
%find_lang  plasmanetworkmanagement_openconnectui
%find_lang  plasmanetworkmanagement_openswanui
%find_lang  plasmanetworkmanagement_strongswanui
%find_lang  plasmanetworkmanagement_openvpnui
%find_lang  plasmanetworkmanagement_pptpui
%find_lang  plasmanetworkmanagement_vpncui


%changelog
* Sun Dec 21 2014 lmenut <lmenut> 0.9.3.2-1.1.mga4
+ Revision: 804588
- OpenVPN plugin : Add option for server certificate verification
  (mga#14812, bko#341069)

* Sat Nov 23 2013 lmenut <lmenut> 0.9.3.2-1.mga4
+ Revision: 552387
- Update tarball to 0.9.3.2
  fix Requires in plasma-applet-nm- disabled plugins
- Disable build of l2tp & openswan plugins
- Add Conflicts/Obsoletes to upgrade from knetworkmanager (<= mga3)
- Rename plugins plasma-applet-nm-xxx (easier to found in rpmdrake)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + mikala <mikala>
    - Update tarball to 0.9.3.1
    - Fix files list
    - Add Conflicts/Obsolete tags to ease upgrade on plasma-nm
    - Disable build of the strongswan plugin (strongswan not available on mageia)

* Sun Sep 15 2013 mikala <mikala> 0.9.3.0-1.mga4
+ Revision: 480078
- Fix licence tag
- Minor esthetic changes
- Don't obsolete old applet currently (we need first to fix the upgrade script)
- Remove useless conflicts/obsoletes with the older applet & plugins
- imported package plasma-nm

